<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array();
use Analogue\ORM\EntityCollection;
use Claromentis\People\Filter\RoleFilter;
use Claromentis\People\Repository\RoleRepository;
class GetRoles
{
    
    
    
    
    protected $repository;
    
    
    
    
    public function __construct(RoleRepository $_8652ba33e6ffeba02459fa9cbb320851)
    {
        $this->repository = $_8652ba33e6ffeba02459fa9cbb320851;
    }
    
    
    
    
    
    
    
    
    public function GetRoles(RoleFilter $_03e9164d0a343b742df4793268b80767) : array
    {
        
        
        
        
        $_23ab4dd81b6c619f47099ef7c2485a12 = $this->repository->search($_03e9164d0a343b742df4793268b80767);
        $total = $this->repository->countSearchTotal($_03e9164d0a343b742df4793268b80767);
        return [$_23ab4dd81b6c619f47099ef7c2485a12, $total];
    }
}